> For the complete documentation index, see [llms.txt](https://apidocs.paygateway.paytota.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.paygateway.paytota.com/card-payment.md).

# Card Payment

### Set Payment Method

When the payment transaction is to be completed using card, the **`payment_method`** field should be set to **`CARD`** in the post request collection body. For card payments, since we only support 3D. This means that the customer's card must be enabled for 3D authentication for them to complete their card payments. So in the request body, you should provide a **`redirect_url`** where the customer will be navigated to when they complete or cancel the transaction

{% hint style="danger" %}

#### redirect\_url

It must be secured by **SSL.** ie, it must start with **https\://**
{% endhint %}

{% tabs %}
{% tab title="Sample Request Body" %}

```javascript
{
  ...
  "payment_method": "CARD",
  "redirect_url": "https://your-redirect_url"
  ...
}
```

{% endtab %}
{% endtabs %}

### Redirect customer

We expect your application to redirect the customer to that **`payment_url`** to complete the payment


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.paygateway.paytota.com/card-payment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
